{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {//Build & Download & Debug
            "cwd": "${workspaceRoot}",
            "executable": "hc32L073.elf",
            "name": "Build & Download & Debug",
            "request": "launch",
            "type": "cortex-debug",
            "showDevDebugOutput": true,
            "interface": "swd",
            "runToMain": true,
            "servertype": "pyocd" ,
            "targetId": "hc32l072kata",

            // "svdFile": "core/HC32L07X.svd",
            "svdFile": "Libraries/HC32L073KATA.svd",
            // "cmsisPack": "HDSC.HC32L07X.1.1.0.pack",

            "armToolchainPath": "/usr/bin/",
            "preLaunchTask": "Build",
            "preLaunchCommands": [
                "load",
            ],
            "preRestartCommands": [
                "monitor reset"
            ]
        },
        {//Debug
            "cwd": "${workspaceRoot}",
            "executable": "hc32L073.elf",
            "name": "Debug",
            "request": "launch",
            "type": "cortex-debug",
            "showDevDebugOutput": true,
            "interface": "swd",
            "runToMain": true,
            "servertype": "pyocd" ,
            "targetId": "hc32l072kata",
            "svdFile": "Libraries/HC32L073KATA.svd",

            "armToolchainPath": "/usr/bin/",
            "preLaunchCommands": [
                "load",
            ],
            "preRestartCommands": [
                "monitor reset"
            ]
        }
    ]
}
